Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Type-Safe Access to BEA WebLogic Server 9.1 MBeans (Deprecated)
(Methods marked with @since 9.0.0.0 or later are not available through the deprecated `MBeanHome` interface.)

## weblogic.management.configuration
Interface MessagingBridgeMBean

All Superinterfaces:
  ConfigurationMBean, DeploymentMBean, weblogic.descriptor.DescriptorBean, DynamicMBean, MBeanRegistration, NotificationBroadcaster, weblogic.descriptor.SettableBean, weblogic.management.WebLogicMBean

public interface MessagingBridgeMBean
extends DeploymentMBean

This MBean represents a WebLogic messaging bridge. A messaging bridge instance interoperates between separate implementations of WebLogic JMS or between WebLogic JMS and another messaging product.

For WebLogic JMS and third-party JMS products, a messaging bridge communicates with a configured source and target destinations using the resource adapters provided with WebLogic Server.

### Deprecation of MBeanHome and Type-Safe Interfaces

This is a type-safe interface for a WebLogic Server MBean, which you can import into your client classes and access through `weblogic.management.MBeanHome`. As of 9.0, the `MBeanHome` interface and all type-safe interfaces for WebLogic Server MBeans are deprecated. Instead, client classes that interact with WebLogic Server MBeans should use standard JMX design patterns in which clients use the `javax.management.MBeanServerConnection` interface to discover MBeans, attributes, and attribute types at runtime. For more information, see "Developing Manageable Applications with JMX" on http://edocs.bea.com.

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Field Summary
`static String` | `BRIDGE_POLICY_AUTO`
`static String` | `BRIDGE_POLICY_MANUAL`
`static String` | `BRIDGE_POLICY_SCHEDULED`
`static String` | `BRIDGE_QOS_ATMOST_ONCE`
`static String` | `BRIDGE_QOS_DUPLICATE_OKAY`
`static String` | `BRIDGE_QOS_EXACTLY_ONCE`

Fields inherited from interface weblogic.management.configuration.DeploymentMBean
`DEFAULT_ORDER, MAX_ORDER, MIN_ORDER`

Fields inherited from interface weblogic.management.configuration.ConfigurationMBean
`DEFAULT_EMPTY_BYTE_ARRAY`

Method Summary
`long` | `getBatchInterval()` The maximum amount of time, in milliseconds, that a messaging bridge instance waits before sending a batch of messages in one transaction, regardless of whether the `Batch Size` has been reached or not.
`int` | `getBatchSize()` The number of messages that are processed within one transaction.
`int` | `getIdleTimeMaximum()` The maximum amount of time, in seconds, that a messaging bridge instance remains idle.
`boolean` | `getPreserveMsgProperty()` Specifies if message properties are preserved when messages are forwarded by a bridge instance.
`String` | `getQualityOfService()` The QOS (quality of service) for this messaging bridge instance.
`int` | `getReconnectDelayIncrease()` The incremental delay time, in seconds, that a messaging bridge instance increases its waiting time between one failed reconnection attempt and the next retry.
`int` | `getReconnectDelayMaximum()` The longest time, in seconds, that a messaging bridge instance waits between one failed attempt to connect to the source or target, and the next retry.
`int` | `getReconnectDelayMinimum()` The minimum amount of time, in seconds, that a messaging bridge instance waits before it tries to reconnect to the source or target destination after a failure.
`String` | `getSelector()` The filter for messages that are sent across the messaging bridge instance.
`BridgeDestinationCommonMBean` | `getSourceDestination()` The source destination from which this messaging bridge instance reads messages.
`BridgeDestinationCommonMBean` | `getTargetDestination()` The target destination where a messaging bridge instance sends the messages it receives from the source destination.
`int` | `getTransactionTimeout()` The amount of time, in seconds, that the transaction manager waits for each transaction before timing it out.
`boolean` | `isAsyncEnabled()` Specifies if a messaging bridge instance forwards in asynchronous messaging mode.
`boolean` | `isDurabilityEnabled()` Specifies whether or not the messaging bridge allows durable messages.
`boolean` | `isQOSDegradationAllowed()` Specifies if this messaging bridge instance allows the degradation of its QOS (quality of service) when the configured QOS is not available.
`boolean` | `isStarted()` Specifies the initial operating state of a targetted messaging bridge instance.
`void` | `setAsyncEnabled(boolean asyncEnabled)` Sets the value of the `AsyncEnabled` attribute.
`void` | `setBatchInterval(long interval)` Sets the value of the `BatchInterval` attribute.
`void` | `setBatchSize(int size)` Sets the value of the `BatchSize` attribute.
`void` | `setDurabilityEnabled(boolean durable)` Sets the value of the `DurabilityEnabled` attribute.
`void` | `setIdleTimeMaximum(int time)` Sets the value of the `IdleTimeMaximum` attribute.
`void` | `setPreserveMsgProperty(boolean preserveMsgProperty)` Sets the value of the `preserveMsgProperty` attribute.
`void` | `setQOSDegradationAllowed(boolean degradationAllowed)` Sets the value of the `QOSDegradationAllowed` attribute.
`void` | `setQualityOfService(String qos)` Sets the value of the `QualityOfService` attribute.
`void` | `setReconnectDelayIncrease(int time)` Sets the value of the `ReconnectDelayIncrease` attribute.
`void` | `setReconnectDelayMaximum(int time)` Sets the value of the `ReconnectDelayMaximum` attribute.
`void` | `setReconnectDelayMinimum(int time)` Sets the value of the `ReconnectDelayMinimum` attribute.
`void` | `setSelector(String selector)` Sets the value of the `Selector` attribute.
`void` | `setSourceDestination(BridgeDestinationCommonMBean sourceDestination)` Sets the value of the `SourceDestination` attribute.
`void` | `setStarted(boolean started)` Sets the value of the `Started` attribute.
`void` | `setTargetDestination(BridgeDestinationCommonMBean targetDestination)` Sets the value of the `TargetDestination` attribute.
`void` | `setTransactionTimeout(int timeout)` Sets the value of the `TransactionTimeout` attribute.

Methods inherited from interface weblogic.management.configuration.DeploymentMBean
`addTarget, getDeploymentOrder, getTargets, removeTarget, setDeploymentOrder, setTargets`

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`freezeCurrentValue, getName, getNotes, isSet, restoreDefaultValue, setComments, setDefaultedMBean, setName, setNotes, setPersistenceEnabled, unSet`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Methods inherited from interface weblogic.descriptor.DescriptorBean
`addBeanUpdateListener, addPropertyChangeListener, createChildCopy, createChildCopyIncludingObsolete, getDescriptor, getParentBean, isEditable, removeBeanUpdateListener, removePropertyChangeListener`

Field Detail

### BRIDGE_POLICY_AUTO

    public static final String BRIDGE_POLICY_AUTO

See Also:
  Constant Field Values

### BRIDGE_POLICY_MANUAL

    public static final String BRIDGE_POLICY_MANUAL

See Also:
  Constant Field Values

### BRIDGE_POLICY_SCHEDULED

    public static final String BRIDGE_POLICY_SCHEDULED

See Also:
  Constant Field Values

### BRIDGE_QOS_ATMOST_ONCE

    public static final String BRIDGE_QOS_ATMOST_ONCE

See Also:
  Constant Field Values

### BRIDGE_QOS_DUPLICATE_OKAY

    public static final String BRIDGE_QOS_DUPLICATE_OKAY

See Also:
  Constant Field Values

### BRIDGE_QOS_EXACTLY_ONCE

    public static final String BRIDGE_QOS_EXACTLY_ONCE

See Also:
  Constant Field Values

Method Detail

### getBatchInterval

    public long getBatchInterval()

  The maximum amount of time, in milliseconds, that a messaging bridge instance waits before sending a batch of messages in one transaction, regardless of whether the `Batch Size` has been reached or not.

  - Only applies to a messaging bridge instance forwarding messages in synchronous mode and has a QOS (quality of service) that requires two-phase transactions.

  - The default value of `-1` indicates that the bridge instance waits until the number of messages reaches the `Batch Size` before it completes a transaction.

  Returns:
    The batchInterval value

### getBatchSize

    public int getBatchSize()

  The number of messages that are processed within one transaction.

  `Batch Size` only applies to a messaging bridge instance forwarding messages in synchronous mode and has a QOS (quality of service) that requires two-phase transactions.

  Returns:
    The batchSize value

### getIdleTimeMaximum

    public int getIdleTimeMaximum()

  The maximum amount of time, in seconds, that a messaging bridge instance remains idle.

  - In asynchronous mode, this is the longest amount of time a messaging bridge instance stays idle before it checks the sanity of its connection to the source.

  - In synchronous mode, this is the amount of time the messaging bridge can block on a receive call if no transaction is involved.

  Returns:
    The idleTimeMaximum value

### getPreserveMsgProperty

    public boolean getPreserveMsgProperty()

  Specifies if message properties are preserved when messages are forwarded by a bridge instance.

  If the target bridge destination is on wls 9.0 or higher, the following message properties are preserved:

  - `message ID`

  - `message timestamp`

  - `user ID`

  - `delivery mode`

  - `priority`

  - `expiration time`

  - `redelivery limit`

  - `unit of order name`

  If the target bridge destination is on wls between 6.0 and 8.1 or on a foreign JMS server, the following message properties are preserved:

  - `delivery mode`

  - `priority`

  - `expiration time`

  If the target bridge destination is on wls 5.1 or older, no properties are preserved.

  Returns:
    The PreserveMsgProperty value

### getQualityOfService

    public String getQualityOfService()

  The QOS (quality of service) for this messaging bridge instance.

  - `Exactly-once`: Each message in the source destination is transferred to the target exactly once. This is the highest QOS a messaging bridge instance can offer.

  - `Atmost-once`: Each message in the source is transferred to the target only once with the possibility of being lost during the forwarding.

  - `Duplicate-okay`: Messages in the source destination are transferred to the target (none are lost) but some may appear in the target more than once.

  Returns:
    The qualityOfService value

### getReconnectDelayIncrease

    public int getReconnectDelayIncrease()

  The incremental delay time, in seconds, that a messaging bridge instance increases its waiting time between one failed reconnection attempt and the next retry.

  - Use with `ReconnectDelayMinimum` and `ReconnectDelayMaximum`. After the first failure to connect to a destination, the bridge instance waits for the number of seconds defined by `ReconnectDelayMinimum`. Each time a reconnect attempt fails, the bridge instance increases its waiting time by the number of seconds defined by `ReconnectDelayIncrease`. The maximum delay time is defined by `ReconnectDelayMaximum`. Once the waiting time is increased to the maximum value, the bridge instance stops increase its waiting time. Once the bridge instance successfully connects to the destination, the bridge instance resets its waiting time to the initial value defined by `ReconnectDelayMinimum`.

  Returns:
    The reconnectDelayIncrease value

### getReconnectDelayMaximum

    public int getReconnectDelayMaximum()

  The longest time, in seconds, that a messaging bridge instance waits between one failed attempt to connect to the source or target, and the next retry.

  - Use with `ReconnectDelayMinimum` and `ReconnectDelayIncrease`. After the first failure to connect to a destination, a bridge instance waits for the number of seconds defined by `ReconnectDelayMinimum`. Each time a reconnect attempt fails, the bridge instance increases its waiting time by the number of seconds defined by `ReconnectDelayIncrease`. The maximum delay time is defined by `ReconnectDelayMaximum`. Once the waiting time is increased to the maximum value, the bridge instance stops increase its waiting time. Once the bridge instance successfully connects to the destination, the bridge instance resets its waiting time to the initial value defined by `ReconnectDelayMinimum`.

  Returns:
    The reconnectDelayMaximum value

### getReconnectDelayMinimum

    public int getReconnectDelayMinimum()

  The minimum amount of time, in seconds, that a messaging bridge instance waits before it tries to reconnect to the source or target destination after a failure.

  - Use with `ReconnectDelayMaximum` and `ReconnectDelayIncrease`. After the first failure to connect to a destination, the bridge instance waits for the number of seconds defined by `ReconnectDelayMinimum`. Each time a reconnect attempt fails, the bridge instance increases its waiting time by the number of seconds defined by `ReconnectDelayIncrease`. The maximum delay time is defined by `ReconnectDelayMaximum`. Once the waiting time is increased to the maximum value, the bridge instance stops increase its waiting time. Once the bridge instance successfully connects to the destination, the bridge instance resets its waiting time to the initial value defined by `ReconnectDelayMinimum`.

  Returns:
    The reconnectDelayMinimum value

### getSelector

    public String getSelector()

  The filter for messages that are sent across the messaging bridge instance.

  Only messages that match the selection criteria are sent across the messaging bridge:

  - For queues, messages that do not match the selection criteria are left behind and accumulate in the queue.

  - For topics, messages that do not match the connection criteria are dropped.

  Returns:
    The selector value

### getSourceDestination

    public BridgeDestinationCommonMBean getSourceDestination()

  The source destination from which this messaging bridge instance reads messages.

  Returns:
    The sourceDestination value

### getTargetDestination

    public BridgeDestinationCommonMBean getTargetDestination()

  The target destination where a messaging bridge instance sends the messages it receives from the source destination.

  Returns:
    The targetDestination value

### getTransactionTimeout

    public int getTransactionTimeout()

  The amount of time, in seconds, that the transaction manager waits for each transaction before timing it out.

  - Transaction timeouts are used when the QOS (quality of service) for a messaging bridge instance requires transactions.

  - If a bridge is configured with Exactly-once QOS, the receiving and sending is completed in one transaction.

  Returns:
    The transactionTimeout value

### isAsyncEnabled

    public boolean isAsyncEnabled()

  Specifies if a messaging bridge instance forwards in asynchronous messaging mode.

  AsyncEnabled only applies to messaging bridge instances whose source destination supports asynchronous receiving. Messaging bridges instances that forward in asynchronous mode are driven by the source destination. A messaging bridge instance listens for messages and forwards them as they arrive. When `AsyncEnabled` is not selected, a bridge instance is forced to work in synchronous mode, even if the source supports asynchronous receiving.

  Note: For a messaging bridge instance with a QOS of Exactly-once to work in asynchronous mode, the source destination has to support the `MDBTransaction` interface. Otherwise, the bridge automatically switches to synchronous mode if it detects that `MDBTransaction` is not supported by the source destination.

  Returns:
    The asyncEnabled value

### isDurabilityEnabled

    public boolean isDurabilityEnabled()

  Specifies whether or not the messaging bridge allows durable messages.

  When enabled and the source destination is a JMS topic, a messaging bridge instance uses a durable subscription to ensure that no messages are lost in the event of a failure. `DurabilityEnabled` ignored if the source destination is a JMS queue.

  - When enabled and the source destination uses durable subscriptions, the source JMS implementation saves messages that are sent when a messaging bridge instance is not running. When the bridge instance is restarted, these messages are forwarded to the target destination. The administrator can choose not to be durable.

  - When not enabled, messages that are sent to the source JMS implementation while the bridge instance is down cannot be forwarded to the target destination.

  Returns:
    The durabilityEnabled value

### isQOSDegradationAllowed

    public boolean isQOSDegradationAllowed()

  Specifies if this messaging bridge instance allows the degradation of its QOS (quality of service) when the configured QOS is not available.

  - When enabled, the messaging bridge instance degrades the QOS when the configured QOS is not available. If the QOS is degraded, a log message is delivered to the WebLogic startup window or log file.

  - When not enabled, if messaging bridge instance cannot satisfy the quality of service requested, an error results and the messaging bridge instance does not start.

  Returns:
    The qOSDegradationAllowed value

### isStarted

    public boolean isStarted()

  Specifies the initial operating state of a targetted messaging bridge instance.

  - If enabled, the messaging bridge instance forwards messages (running).

  - If not enabled, the messaging bridge instance does not forward messages (temporarily stopped).

  After a messaging bridge has started forwarding messages (running), use `Started` to temporarily suspend an active messaging bridge instance or restart an stopped messaging bridge instance.

  - Select the `Started` checkbox to start a messaging bridge instance that has been temporarily stopped.

  - Clear the `Started` checkbox to temporarily stop a messaging bridge instance that was running.

  - This value does not indicate the run-time state of a messaging bridge instance.

  Returns:
    The started value

### setAsyncEnabled

    public void setAsyncEnabled(boolean asyncEnabled)
                         throws InvalidAttributeValueException

  Sets the value of the `AsyncEnabled` attribute.

  Parameters:
    `asyncEnabled` - The new asyncEnabled value
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `isAsyncEnabled()`
  Default value:
    true
  A dynamic MBean attribute.
    false

### setBatchInterval

    public void setBatchInterval(long interval)
                          throws InvalidAttributeValueException

  Sets the value of the `BatchInterval` attribute.

  Parameters:
    `interval` - The new batchInterval value
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getBatchInterval()`
  Default value:
    -1
  A dynamic MBean attribute.

### setBatchSize

    public void setBatchSize(int size)
                      throws InvalidAttributeValueException

  Sets the value of the `BatchSize` attribute.

  Parameters:
    `size` - The new batchSize value
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getBatchSize()`
  Default value:
    10
  Minimum value:
    0
  A dynamic MBean attribute.

### setDurabilityEnabled

    public void setDurabilityEnabled(boolean durable)
                              throws InvalidAttributeValueException

  Sets the value of the `DurabilityEnabled` attribute.

  Parameters:
    `durable` - The new durabilityEnabled value
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `isDurabilityEnabled()`
  Default value:
    true
  A dynamic MBean attribute.
    false

### setIdleTimeMaximum

    public void setIdleTimeMaximum(int time)
                            throws InvalidAttributeValueException

  Sets the value of the `IdleTimeMaximum` attribute.

  Parameters:
    `time` - The new idleTimeMaximum value
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getIdleTimeMaximum()`
  Default value:
    60
  Minimum value:
    0
  Maximum value:
    java.lang.Integer.MAX_VALUE
  A dynamic MBean attribute.

### setPreserveMsgProperty

    public void setPreserveMsgProperty(boolean preserveMsgProperty)
                                throws InvalidAttributeValueException

  Sets the value of the `preserveMsgProperty` attribute.

  Parameters:
    `preserveMsgProperty` - Specifies if message properties are preserved when messages are forwarded by a bridge instance
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `#getpreserveMsgProperty`
  Default value:
    false
  A dynamic MBean attribute.

### setQOSDegradationAllowed

    public void setQOSDegradationAllowed(boolean degradationAllowed)
                                  throws InvalidAttributeValueException

  Sets the value of the `QOSDegradationAllowed` attribute.

  Parameters:
    `degradationAllowed` - The new qOSDegradationAllowed value
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `isQOSDegradationAllowed()`
  Default value:
    false
  A dynamic MBean attribute.
    false

### setQualityOfService

    public void setQualityOfService(String qos)
                             throws InvalidAttributeValueException

  Sets the value of the `QualityOfService` attribute.

  Parameters:
    `qos` - The new qualityOfService value
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getQualityOfService()`
  Default value:
    MessagingBridgeMBean.BRIDGE_QOS_EXACTLY_ONCE
  Legal values:
    MessagingBridgeMBean.BRIDGE_QOS_EXACTLY_ONCE,MessagingBridgeMBean.BRIDGE_QOS_ATMOST_ONCE,MessagingBridgeMBean.BRIDGE_QOS_DUPLICATE_OKAY
  A dynamic MBean attribute.
    false

### setReconnectDelayIncrease

    public void setReconnectDelayIncrease(int time)
                                   throws InvalidAttributeValueException

  Sets the value of the `ReconnectDelayIncrease` attribute.

  Parameters:
    `time` - The new reconnectDelayIncrease value
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getReconnectDelayIncrease()`
  Default value:
    5
  Minimum value:
    0
  Maximum value:
    java.lang.Integer.MAX_VALUE
  A dynamic MBean attribute.

### setReconnectDelayMaximum

    public void setReconnectDelayMaximum(int time)
                                  throws InvalidAttributeValueException

  Sets the value of the `ReconnectDelayMaximum` attribute.

  Parameters:
    `time` - The new reconnectDelayMaximum value
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getReconnectDelayMaximum()`
  Default value:
    60
  Minimum value:
    0
  Maximum value:
    java.lang.Integer.MAX_VALUE
  A dynamic MBean attribute.

### setReconnectDelayMinimum

    public void setReconnectDelayMinimum(int time)
                                  throws InvalidAttributeValueException

  Sets the value of the `ReconnectDelayMinimum` attribute.

  Parameters:
    `time` - The new reconnectDelayMinimum value
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getReconnectDelayMinimum()`
  Default value:
    15
  Minimum value:
    0
  Maximum value:
    java.lang.Integer.MAX_VALUE
  A dynamic MBean attribute.

### setSelector

    public void setSelector(String selector)
                     throws InvalidAttributeValueException

  Sets the value of the `Selector` attribute.

  Parameters:
    `selector` - The new selector value
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getSelector()`
  A dynamic MBean attribute.
    false

### setSourceDestination

    public void setSourceDestination(BridgeDestinationCommonMBean sourceDestination)
                              throws InvalidAttributeValueException

  Sets the value of the `SourceDestination` attribute.

  Parameters:
    `sourceDestination` - The new sourceDestination value
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getSourceDestination()`
  Default value:
    null
  A dynamic MBean attribute.
    false

### setStarted

    public void setStarted(boolean started)
                    throws InvalidAttributeValueException

  Sets the value of the `Started` attribute.

  Parameters:
    `started` - The new started value
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `isStarted()`
  Default value:
    true
  A dynamic MBean attribute.

### setTargetDestination

    public void setTargetDestination(BridgeDestinationCommonMBean targetDestination)
                              throws InvalidAttributeValueException

  Sets the value of the `TargetDestination` attribute.

  Parameters:
    `targetDestination` - The new targetDestination value
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getTargetDestination()`
  Default value:
    null
  A dynamic MBean attribute.
    false

### setTransactionTimeout

    public void setTransactionTimeout(int timeout)
                               throws InvalidAttributeValueException

  Sets the value of the `TransactionTimeout` attribute.

  Parameters:
    `timeout` - The new transactionTimeout value
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getTransactionTimeout()`
  Default value:
    30
  Minimum value:
    0
  Maximum value:
    java.lang.Integer.MAX_VALUE
  A dynamic MBean attribute.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs91 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD